﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using KreslikLib.Common;
using TickDataConvertor.Properties;

namespace TickDataConvertor
{
    public partial class ShowTSexportCode : Form
    {
        public ShowTSexportCode()
        {
            InitializeComponent();
            Settings AppSettings = new Settings();
            this.textBox1.Text = AppSettings.TSexport;
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonClipboard_Click(object sender, EventArgs e)
        {
            Clipboard.SetData(DataFormats.Text, this.textBox1.Text);
            KTools.InfoBox("EasyLanguage code copied into the clipboard.\nUse ctrl-v to paste the code.", "Code copied");
        }
    }
}